using JSMR.Infrastructure.Data;
using JSMR.Tests.Fixtures;

namespace JSMR.Tests.Search.Circle;

public sealed class CircleSearchProviderFixture(MariaDbContainerFixture container) : SearchProviderFixture(container)
{
    protected override async Task SeedAsync(AppDbContext context)
    {
        context.Circles.AddRange(
            new() { CircleId = 1, Name = "Good Dreams", MakerId = "RG00001" },
            new() { CircleId = 2, Name = "Sweet Dreams", Favorite = true, MakerId = "RG00002" },
            new() { CircleId = 3, Name = "Nightmare Fuel", Blacklisted = true, MakerId = "RG00003" },
            new() { CircleId = 4, Name = "Garbage Studio", Spam = true, MakerId = "RG00004" }
        );

        await context.SaveChangesAsync();
    }
}